> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Analytics



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cdn-openapi.json get /analytics
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1
    description: Production server
security:
  - apikey-header-X-API-Key: []
tags:
  - name: Distributions
  - name: SSL Certificate Manage
  - name: Origins/Upstreams Manage
  - name: Purge
  - name: Prefetch
  - name: Cache Rules
  - name: Access Rules
  - name: Analytics
  - name: Http Headers
  - name: Verifications
  - name: IP Addresses List
paths:
  /analytics:
    get:
      tags:
        - Analytics
      summary: Analytics
      parameters:
        - name: from
          in: query
          description: ''
          required: false
          example: '2025-07-01T00:00:00.000Z'
          schema:
            type: string
        - name: to
          in: query
          description: ''
          required: false
          example: '2025-07-31T23:59:59.999Z'
          schema:
            type: string
        - name: metrics
          in: query
          description: ''
          required: false
          example:
            - requests
            - traffic
            - cache_hit_traffic_ratio
            - upstream_origin_time_ms
            - responses_2xx
            - responses_3xx
            - responses_4xx
            - responses_5xx
          schema:
            type: array
            items:
              type: string
        - name: granularity
          in: query
          description: ''
          required: false
          example: 1d
          schema:
            type: string
        - name: distribution
          in: query
          description: ''
          required: false
          example: storage.apex4u.com
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  From:
                    type: string
                  To:
                    type: string
                  Metrics:
                    type: array
                    items:
                      type: string
                  Granularity:
                    type: string
                  Distribution:
                    type: string
                required:
                  - From
                  - To
                  - Metrics
                  - Granularity
                  - Distribution
          headers: {}
      deprecated: false
      security:
        - apikey-header-X-API-Key: []
components:
  securitySchemes:
    apikey-header-X-API-Key:
      type: apiKey
      in: header
      name: X-API-Key

````